AurionAI Docs

List Conversations V2

GET
/api/v2/conversations

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

limit?Limit
Default50
Range1 <= value <= 100
offset?Offset
Default0
Range0 <= value
status?string|null
channel?string|null
include_deleted?Include Deleted
Defaultfalse
search?|null
exclude_id?string|null
priority?string|null
conversation_type?string|null
source?string|null
assignee_user_id?string|null
assignee_team_id?string|null
department_id?string|null
category?string|null
sla_state?string|null
is_spam?boolean|null
tags?string|null
created_after?string|null
created_before?string|null
updated_after?string|null
updated_before?string|null
sort_by?string|null
sort_order?string|null
sentiment?string|null
email_channel_id?string|null
contact_id?string|null
company_id?string|null
language?string|null
archived?boolean|null

Response Body

application/json

application/json

curl -X GET "https://loading/api/v2/conversations"
{
  "items": [
    {
      "ai_triage_hint": "string",
      "ai_triage_hint_type": "string",
      "archived_at": "2019-08-24T14:15:22Z",
      "assigned_at": "2019-08-24T14:15:22Z",
      "assignee_team_id": "string",
      "assignee_team_name": "string",
      "assignee_user_id": "string",
      "assignee_user_name": "string",
      "assignment_reason": "string",
      "category": "string",
      "channel": "string",
      "company_name": "string",
      "contact_email": "string",
      "contact_id": "string",
      "contact_name": "string",
      "contact_phone": "string",
      "contact_role": "string",
      "conversation_type": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "current_sentiment_label": "string",
      "current_sentiment_score": 0,
      "deleted_at": "2019-08-24T14:15:22Z",
      "department_id": "string",
      "detected_language": "string",
      "id": "string",
      "impact": "string",
      "is_read": true,
      "is_spam": false,
      "last_message_snippet": "string",
      "merged_at": "2019-08-24T14:15:22Z",
      "merged_by": "string",
      "merged_into_id": "string",
      "priority": "string",
      "sentiment_trend": "string",
      "sla_first_response_due": "2019-08-24T14:15:22Z",
      "sla_last_escalation_at": "2019-08-24T14:15:22Z",
      "sla_resolution_due": "2019-08-24T14:15:22Z",
      "sla_state": "string",
      "snoozed_by": "string",
      "snoozed_until": "2019-08-24T14:15:22Z",
      "source": "string",
      "source_thread_id": "string",
      "status": "string",
      "subject": "string",
      "tags": [
        "string"
      ],
      "updated_at": "2019-08-24T14:15:22Z",
      "urgency": "string",
      "version": 0
    }
  ],
  "limit": 0,
  "offset": 0,
  "total": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}